/* filter */

.main__section {
  padding-bottom: 120px;
}

.main__container {
  display: flex;
  gap: 10px;
  margin-top: 7px;
  margin-bottom: 130px;
}

.filter__burger-inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.filter__burger {
  font-size: 20px;
  text-align: center;
  color: var(--black);
}

.filter-reset-btn-all {
  font-weight: 600;
  font-size: 16px;
  line-height: 100%;
  text-transform: uppercase;
  color: var(--shop-burnt-sienna);
  cursor: pointer;
  transition: var(--transition);
}

.filter-reset-btn-all:hover {
  color: var(--black);
}

.filter__price-blocks {
  display: flex;
  gap: 8px;
  flex-direction: column;
}

.filter__price-inner {
  display: flex;
  gap: 4px;
  align-items: center;
}

.filter__price-block {
  border-radius: 19px;
  width: 60%;
  display: flex;
  gap: 20px;
  align-items: center;
  padding: 7px;
  background: var(--shop-light-ice);
}

.filter__price-block input {
  width: 100%;
  font-weight: 400;
  font-size: 18px;
  line-height: 1.3;
  color: #8e8e93;
  background-color: transparent;
}

.filter__price-title {
  font-size: 20px;
  font-weight: 400;
  color: var(--black);
}

.filter__price-line {
  content: '';
  width: 5px;
  height: 2px;
  background-color: var(--shop-light-ice);
}

/* ---===--- */

.custom-select-wrapper {
  position: relative;
  -webkit-user-select: none;
  user-select: none;
}


.custom-select-trigger {
  padding: 10px 15px;
  border-radius: 3px;
  font-weight: 400;
  font-size: 14px;
  cursor: pointer;
  border: transparent;
  z-index: var(--z-index-1);
  position: relative;
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--black);
  background: var(--white);
}

.custom-select-trigger svg:first-child {
  margin-right: 6px;
  margin-top: -2px;
}


.custom-select-wrapper.open .custom-select-trigger {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}


.custom-options {
  border-radius: 0 0 10px 10px;
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  background: var(--white);
  border: transparent;
  border-top: none;
  overflow: hidden;
  display: none;
  z-index: 9;
}


.custom-select-wrapper.open .custom-options {
  display: block;
}

.custom-option {
  padding: 10px 15px;
  font-weight: 400;
  font-size: 14px;
  cursor: pointer;
  color: var(--black);
  background: var(--white);
}

.custom-option:hover,
.custom-option.selected {
  color: var(--white);
  background: var(--shop-bright-blue);
}

.custom-select-arrow {
  display: inline-block;
  margin-left: 10px;
  transition: transform 0.3s ease;
}

.custom-select-wrapper.open .custom-select-arrow {
  transform: rotate(180deg);
}

/* aside */

.check__filter {
  height: 100vh;
  background: var(--white);
}

/* main */

.check__filters {
  border-radius: 10px;
  position: relative;
  width: 20%;
  height: fit-content;
  padding: 12px;
  display: flex;
  gap: 46px;
  flex-direction: column;
  background: var(--white);
  display: none !important;
}


.main__block {
  width: 100%;
  display: flex;
  gap: 10px;
  flex-direction: column;
}

.all-category-block-btn,
.filter-mob-block-btn {
  padding: 10px 15px;
  border-radius: 3px;
  background: var(--white);

  font-weight: 400;
  font-size: 14px;
  color: var(--black);
}

.filter-mob-block-btn {
  display: none;
}

.filter {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.filter label {
  display: flex;
  gap: 7px;
  align-items: center;
  font-size: 14px;
  color: var(--black);
}

.filter__title {
  font-size: 20px;
  font-weight: 400;
  color: var(--black);
}

.filter input[type="checkbox"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 20px;
  height: 20px;
  margin: 0;
  position: relative;
  outline: none;
}

.filter input[type="checkbox"]::before {
  content: '';
  position: absolute;
  width: 18px;
  height: 18px;
  border-radius: 3px;
  background-color: #e5e5ea;
  transition: all 0.2s ease;
}

.filter input[type="checkbox"]:checked::before {
  background-color: var(--shop-burnt-sienna);
}

.filter input[type="checkbox"]:checked::after {
  content: url(../image/icons/check-filter-store.svg);
  position: absolute;
  width: 8px;
  height: 6px;
  top: 48%;
  left: 45%;
  transform: translate(-50%, -50%);
}

.factory-new input {
  position: relative;
}

.exterior__filter label p {
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 500;
  font-size: 6px;
  line-height: 1;
  color: var(--csgo-background-secondary-dark-slate-gray);
  border-radius: 6px;
  width: 17px;
  height: 17px;
}

.factory-new-icon {
  background: var(--targeted-background-surface-sea-green);
}

.minimal-wear-icon {
  background: var(--targeted-background-surface-forest-green);
}

.field-tested-icon {
  background: var(--targeted-background-surface-olive-green);
}

.well-worn-icon {
  background: var(--targeted-background-surface-burnt-sienna);
}

.battle-scarred-icon {
  background: var(--targeted-background-surface-maroon);
}

.consumer-grade {
  color: var(--targeted-text-secondary-light-gray);
}

.industrial-grade {
  color: #559fe2;
}

.mil-spec-grade {
  color: #4159d0;
}

.restricted {
  color: #7b51cf;
}

.classified {
  color: #a64bb5;
}

.covert {
  color: #f74083;
}

/* card style */

.tile__inner {
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}

.tile__inner::after {
  content: "";
  grid-column: span 5;
  visibility: hidden;
}

@media (max-width: 1335px) {
  .tile__inner::after {
    grid-column: span 4;
  }
}
@media (max-width: 1075px) {
  .tile__inner::after {
    grid-column: span 3;
  }
}
@media (max-width: 1024px) {
  .tile__inner::after {
    grid-column: span 4;
  }
}
@media (max-width: 866px) {
  .tile__inner::after {
    grid-column: span 3;
  }
}
@media (max-width: 655px) {
  .tile__inner::after {
    grid-column: span 2;
  }
}

.filter.exterior__filter label,
.filter label {
  cursor: pointer;
}

.filter__burger {
  cursor: default;
}

@media (max-width: 1024px) {

  .check__filters {
    display: none;
  }

  .custom-select-wrapper {
    display: block;
  }

  .main__container {
    flex-direction: column;
  }

  .main__section {
    padding-bottom: 80px;
  }

  .filter__burger,
  .filter__price-title,
  .filter-reset-btn-all,
  .filter__title {
    font-size: 14px;
  }

  .check__filters,
  .main__block {
    width: 100%;
  }

  .filter-mob-block-btn {
    display: none;
  }
}

@media (max-width: 600px) {
  .tile__inner {
    grid-template-columns: repeat(2, 1fr);
  }
}

.price-filter-select {
  border: none;
  padding: 10px 15px;
  border-radius: 10px;
  background: var(--white);
  font-weight: 400;
  font-size: 14px;
  color: var(--black);
}

.left-btn-block {
  display: flex;
  gap: 10px;
  justify-content: space-between;
}

.all-category-block {
  display: flex;
  gap: 10px;
  justify-content: space-between;
  flex-direction: column;
}

/* filter mobile */

.filter__mob-popup {
  display: none;
  transform: translateY(100%);
  opacity: 0;
  height: 0vh;
  border-radius: 10px;
  position: fixed;
  bottom: 0;
  right: 0;
  left: 0;
  z-index: 999;
  gap: 15px;
  flex-direction: column;
  justify-content: space-between;
  background: var(--white);
  padding: 15px 20px 40px;
  transition: var(--transition);
}

.filter__mob-popup--active {
  display: flex;
  transform: translate(0%);
  opacity: 1;
  height: 80vh;
}

.filter__price-blocks {
  overflow-y: scroll;
}

.filter__mob-title {
  font-weight: 400;
  font-size: 20px;
  line-height: 130%;
  color: var(--black);
}

.filter__mob-popup .filter__price-inner {
  display: flex;
  justify-content: space-between;
}

.filter-mob-apply {
  padding: 12px 40px;
  font-weight: 600;
  font-size: 16px;
  line-height: 100%;
  text-transform: uppercase;
  color: var(--shop-light-ice);

  width: 100%;
  border-radius: 20px;
  background: var(--shop-burnt-sienna);
}

.filter-mob-apply:hover {
  box-shadow: var(--button-box-shadow);
}

.search-photo-indicator {
  display: flex;
  align-items: center;
  gap: 20px;
  margin-top: 20px;
  background: white;
  width: max-content;
  padding: 10px 20px;
  border-radius: 10px;
}

.search-photo-indicator span {
  font-size: 16px;
}


.search-text-indicator span {
  background: var(--white);
  padding: 15px 20px;
  border-radius: 3px;
}


/* breadcrumb */

.breadcrumb__section {
    margin-top: 15px;
    margin-bottom: 20px;
}

.breadcrumb {
    display: flex;
    align-items: center;
    gap: 12px;
    flex-wrap: wrap;
}

.breadcrumb-item {
    font-size: 12px;
    display: flex;
    gap: 12px;
    align-items: center;
}

.breadcrumb-item a {
    font-size: 12px;
    color: var(--black);
}

.arrow-bread::after {
    content: url(../image/icons/arrow-right-store.svg);
    display: flex;
    width: 8px;
    height: 18px;
}
